#ifndef SERVERS_HPP
#define SERVERS_HPP

#include <string>
#include <vector>

namespace dropshell {

// Server information structure
struct ServerInfo {
    std::string name;
    std::string ssh_host;
    std::string ssh_user;
    std::string ssh_port;
};

std::vector<ServerInfo> get_configured_servers();


} // namespace dropshell

#endif // SERVERS_HPP
